{% for node in ['node1', 'node2', 'node3'] -%}
Create tlu harvester cluster yaml for {{ node }}:
  file.managed:
    - name: /srv/www/htdocs/harvester/{{ node }}.yaml
    - source: salt://tlu-harvester/files/{{ node }}.yaml.jinja
    - template: jinja
    - user: root
    - group: root
    - mode: "0644"
{% endfor %}

Update harvester grub file:
  file.managed:
    - name: /srv/tftpboot/tlu-harvester.cfg
    - source: salt://tlu-harvester/files/tlu-harvester.cfg.jinja
    - template: jinja
    - user: root
    - group: root
    - mode: "0644"
